# ``ArgumentParser/CommandConfiguration``

## Topics

### Creating a Configuration

- ``init(commandName:abstract:usage:discussion:version:shouldDisplay:subcommands:groupedSubcommands:defaultSubcommand:helpNames:aliases:)``

### Customizing the Help Screen

- ``abstract``
- ``discussion``
- ``usage``
- ``helpNames``

### Declaring Subcommands

- ``subcommands``
- ``defaultSubcommand``

### Defining Command Properties

- ``commandName``
- ``version``
- ``shouldDisplay``
- ``aliases``
